import { PreMiddlewareFunction, Schema } from "mongoose";
import { FieldConstraintsCollection } from "./";
export declare const stringValidate: {
    exactLength: any;
    maxLength: any;
}, numberValidate: {
    greaterOrEqualTo: any;
};
export declare const valuesToApply: string[];
export declare const validateCallbacks: {
    maxLength: any;
    exactLength: any;
};
export declare const finalValidationCallbacks: {
    greaterOrEqualTo: any;
};
export declare function constructSchema(fieldsPublic: FieldConstraintsCollection, fieldsPrivate?: FieldConstraintsCollection): Schema<import("mongoose").Document<any, any, any>, import("mongoose").Model<any, any, any>, undefined, any>;
export declare function createValidation<T>(message: string, validate: (toCheck: T, ...referenceVals: any[]) => boolean): (...currentReferenceVals: any[]) => {
    message: string;
    validator: (value: T) => boolean;
};
export declare function createValidateMiddleware(message: string, automaticResponseToUndefined: boolean | null, callback: (resolvedFields: any[], toValidate: any, fields: any[]) => boolean): (fields: any[]) => PreMiddlewareFunction<any>;
