import { FinalValidationCreator, ValidationCreator } from "./";
export declare function isDescendingOrder(resolvedFields: any[]): boolean;
export declare const isExactLength: (value: string, length: number) => boolean;
export declare const isMaxLength: (value: string, length: number) => boolean;
export default function injectValidationCreators(createValidation: ValidationCreator<any>, createFinalValidation: FinalValidationCreator<any>): {
    stringValidate: {
        exactLength: any;
        maxLength: any;
    };
    numberValidate: {
        greaterOrEqualTo: any;
    };
};
